
/*
 * Copyright 2011-2022 Cuberite Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// SchematicFileSerializerTest.cpp

// Implements the SchematicFileSerializer test main entrypoint

#include "Globals.h"
#include "../TestHelpers.h"
#include "WorldStorage/SchematicFileSerializer.h"





static void DoTest(void)
{
	cBlockArea ba;
	ba.Create(21, 256, 21);
	ba.RelLine(0, 0, 0, 9, 8, 7, cBlockArea::baTypes | cBlockArea::baMetas, E_BLOCK_WOODEN_STAIRS, 1);
	const auto Schematic = cSchematicFileSerializer::SaveToSchematicString(ba);
	cBlockArea ba2;
	cSchematicFileSerializer::LoadFromSchematicString(ba2, Schematic.GetView());
}





IMPLEMENT_TEST_MAIN("SchematicFileSerializer",
	DoTest();
)
